<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [purchaseAugmentation](./bitburner.singularity.purchaseaugmentation.md)

## Singularity.purchaseAugmentation() method

Purchase an augmentation

**Signature:**

```typescript
purchaseAugmentation(faction: FactionName, augmentation: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

faction


</td><td>

[FactionName](./bitburner.factionname.md)


</td><td>

Name of faction to purchase Augmentation from.


</td></tr>
<tr><td>

augmentation


</td><td>

string


</td><td>

Name of Augmentation to purchase.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the Augmentation is successfully purchased, and false otherwise.

## Remarks

RAM cost: 5 GB \* 16/4/1

This function will try to purchase the specified Augmentation through the given Faction.

This function will return true if the Augmentation is successfully purchased, and false otherwise.

